# Uses of Class
org.eclipse.ui.navigator.CommonNavigatorManager

Packages that use CommonNavigatorManager
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of CommonNavigatorManager in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return CommonNavigatorManager
Modifier and Type
Method
Description
`protected CommonNavigatorManager`
CommonNavigator.`createCommonManager()`
The Common Navigator Manager handles the setup of the Common Navigator Menu, manages updates to the ActionBars from `CommonActionProvider` extensions as the user's selection changes, and also updates the status bar based on the current selection.